Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.civicsv2.session
Interface CivicsSessionService

All Known Implementing Classes:
  CivicsSessionServiceImpl

    public interface CivicsSessionService

interface with the methods of the cvics v2 webservice. Default impl : `be.ehealth.businessconnector.cvicsv2.session.impl.TarificationSessionServiceImpl` Factory : `CivicsSessionServiceFactory`

Method Summary
`FindCNKResponse` | `findCNK(FindCNKRequest findCNKRequest)`
`FindParagraphResponse` | `findParagraph(FindParagraphRequest findParagraphRequest)`
`FindParagraphTextResponse` | `findParagraphText(FindParagraphTextRequest findParagraphTextRequest)`
`FindPublicCNKResponse` | `findPublicCNK(FindPublicCNKRequest findPublicCNKRequest)`
`FindReimbursementConditionsResponse` | `findReimbursementConditions(FindReimbursementConditionsRequest findReimbursementConditionsRequest)`
`GetAddedDocumentsResponse` | `getAddedDocuments(GetAddedDocumentsRequest getAddedDocumentsRequest)`
`GetParagraphExclusionsResponse` | `getParagraphExclusions(GetParagraphExclusionsRequest getParagraphExclusionsRequest)`
`GetParagraphIncludedSpecialtiesResponse` | `getParagraphIncludedSpecialities(GetParagraphIncludedSpecialtiesRequest getParagraphIncludedSpecialtiesRequest)`
`GetProfessionalAuthorizationsResponse` | `getProfessionalAuthorizations(GetProfessionalAuthorizationsRequest getProfessionalAuthorizationsRequest)`

Method Detail

### findParagraphText

    FindParagraphTextResponse findParagraphText(FindParagraphTextRequest findParagraphTextRequest)
                                                throws TechnicalConnectorException

  Parameters:
    `findParagraphTextRequest` -
  Returns:
    FindParagraphTextResponse
  Throws:
    `TechnicalConnectorException`

### getParagraphExclusions

    GetParagraphExclusionsResponse getParagraphExclusions(GetParagraphExclusionsRequest getParagraphExclusionsRequest)
                                                          throws TechnicalConnectorException

  Parameters:
    `getParagraphExclusionsRequest` -
  Returns:
    GetParagraphExclusionsResponse
  Throws:
    `TechnicalConnectorException`

### getParagraphIncludedSpecialities

    GetParagraphIncludedSpecialtiesResponse getParagraphIncludedSpecialities(GetParagraphIncludedSpecialtiesRequest getParagraphIncludedSpecialtiesRequest)
                                                                             throws TechnicalConnectorException

  Parameters:
    `getParagraphIncludedSpecialtiesRequest` -
  Returns:
    GetParagraphIncludedSpecialtiesResponse
  Throws:
    `TechnicalConnectorException`

### getProfessionalAuthorizations

    GetProfessionalAuthorizationsResponse getProfessionalAuthorizations(GetProfessionalAuthorizationsRequest getProfessionalAuthorizationsRequest)
                                                                        throws TechnicalConnectorException

  Parameters:
    `getProfessionalAuthorizationsRequest` -
  Returns:
    GetProfessionalAuthorizationsResponse
  Throws:
    `TechnicalConnectorException`

### getAddedDocuments

    GetAddedDocumentsResponse getAddedDocuments(GetAddedDocumentsRequest getAddedDocumentsRequest)
                                                throws TechnicalConnectorException

  Parameters:
    `getAddedDocumentsRequest` -
  Returns:
    GetAddedDocumentsResponse
  Throws:
    `TechnicalConnectorException`

### findReimbursementConditions

    FindReimbursementConditionsResponse findReimbursementConditions(FindReimbursementConditionsRequest findReimbursementConditionsRequest)
                                                                    throws TechnicalConnectorException

  Parameters:
    `findReimbursementConditionsRequest` -
  Returns:
    FindReimbursementConditionsResponse
  Throws:
    `TechnicalConnectorException`

### findParagraph

    FindParagraphResponse findParagraph(FindParagraphRequest findParagraphRequest)
                                        throws TechnicalConnectorException

  Parameters:
    `findParagraphRequest` -
  Returns:
    FindParagraphResponse
  Throws:
    `TechnicalConnectorException`

### findCNK

    FindCNKResponse findCNK(FindCNKRequest findCNKRequest)
                            throws TechnicalConnectorException

  Parameters:
    `findCNKRequest` -
  Returns:
    FindCNKResponse
  Throws:
    `TechnicalConnectorException`

### findPublicCNK

    FindPublicCNKResponse findPublicCNK(FindPublicCNKRequest findPublicCNKRequest)
                                        throws TechnicalConnectorException

  Parameters:
    `findPublicCNKRequest` -
  Returns:
    FindPublicCNKResponse
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.